Subject: Re: [appsdir] [apps-discuss] Review of draft-ietf-6man-uri-zoneid-05

From: t.petch <[email-masked]>
Date: Fri, 7 Dec 2012 18:15:27 +0000

----- Original Message -----
From: "Brian E Carpenter" <[email-masked]>
To: "Yves Lafon" <[email-masked]>
Cc: <[email-masked]>; <[email-masked]>;
<[email-masked]>; <[email-masked]>
Sent: Monday, November 26, 2012 4:19 PM

> Yves,
>
> On 26/11/2012 14:56, Yves Lafon wrote:
> > I have been selected as the Applications Area Directorate reviewer
for
> > this draft (for background on appsdir, please see
> >
http://trac.tools.ietf.org/area/app/trac/wiki/ApplicationsAreaDirectorat
e).
> >
> > Please resolve these comments along with any other Last Call
comments
> > you may receive. Please wait for direction from your document
shepherd
> > or AD before posting a new version of the draft.
> >
> > Document: draft-ietf-6man-uri-zoneid-05
> > Title: IPv6 Zone Identifiers in Address Literals and Uniform
Resource
> > Identifiers
> > Reviewer: Yves Lafon
> > Review Date: 26 November 2012
> > IETF Last Call Date: 2012-11-23
> >
> > Summary: The document is almost ready to progress, but some
> > clarifications are needed on two points explicited below.
> >
> > In section 3:
> > <<
> >    This document implies that all browsers should recognise a ZoneID
> >    preceded by an escaped "%".  In the spirit of "be liberal with
what
> >    you accept", we also recommend that URI parsers accept bare "%"
signs
> >    (i.e., a "%" not followed by two valid hexadecimal characters).
This
> >    makes it easy for a user to copy and paste a string such as
> >    "fe80::a%en1" from the output of a "ping" command and have it
work.

> > Does it mean that such URIs can be present in an HTML document or
that
> > they MAY allow bare "%" signs when the URI is pasted in the address
bar?
> > (Those are two different use cases, and browsers may have different
code
> > paths for both).
>
> This is exactly why I suggested in the "New URL Standard..." thread
> on the IETF list that we need a formal distinction between URI syntax
> and the permitted "syntax" for user input strings. Without that
> distinction, we are obliged to specify them both as if they were
> the same thing. I really don't know how to capture this in the current
> draft.

Brian

My take on that thread is somewhat different, namely that there is a
distinction, that the IETF defines the valid output of the process and
has never specified the input or processing thereof, leaving every web
browser to exercise its skill and judgment thereon.
(Roy Fielding did say
"I have absolutely no problem with writing a proposed standard
for parsing references, particularly if browser developers are
willing to adhere to one."
and
"It is not non-interoperable behavior to parse input data
differently depending on the context in which it is entered.")

In which case, you can spell that out in this I-D.

Tom Petch

> Since we do say that URIs with ZoneIDs are meaningless outside the
> originating host, that would mean they shouldn't be included in HTML
> documents IMHO. But I think somebody needs to rewrite RFC 3986.
>
> > In section 4:
> > It says
> > <<
> >    An HTTP server or proxy MUST ignore any ZoneID attached to an
> >    incoming URI, as it only has local significance at the sending
host.
> >>>
> >
> > A proxy can be considered as a sending host, so does it mean that a
the
> > receiving end MUST strip all ZoneID before processing the request?
(and
> > it would be a significant change to implementations), or could this
be
> > resolved by mandating Web browser to strip ZoneID prior to sending
the
> > request as it is only significant for the sending host and as it is
the
> > implementation that needs to be updated to recognize the new syntax?
>
> IMHO it would be safest if the sending host strips it. We could
certainly
> suggest that.
>
> However, as the draft is on the IESG agenda this week, we won't update
> it until we get all the IESG comments.
>
> Thanks
>
>     Brian
>
> _______________________________________________
> apps-discuss mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/apps-discuss
>

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 08 Dec 2012 08:19:14 +0000

Tom,

> Sent: Monday, November 26, 2012 4:19 PM

...

>>> Does it mean that such URIs can be present in an HTML document or that
>>> they MAY allow bare "%" signs when the URI is pasted in the address bar?
>>> (Those are two different use cases, and browsers may have different code
>>> paths for both).

We've changed the text in that area in draft-ietf-6man-uri-zoneid-06,
which has just come out. However, I think we'll leave the general
problem for the Apps Area and the W3C to resolve.

Regards
   Brian